@echo off
echo.
echo dccuegen.bat - quick and crude cuesheet
echo     generator for dreamcast dumps
echo.
echo      written by darcagn
echo      http://dumpcast.dcemulation.org/
echo.
set /p trackcount="Enter the number of total tracks: " %=%
if %trackcount% lss 3 goto funnytracks
if %trackcount% gtr 99 goto funnytracks
if %trackcount% equ 3 goto threetracks
if %trackcount% equ 4 goto funnytracks
if %trackcount% gtr 3 goto moartracks
:funnytracks
echo %trackcount% tracks? i don't believe you
goto exit
:threetracks
echo generating cuesheet for a high density
echo session consisting of a single track (no cdda)
echo FILE "track03.bin" BINARY > hdsession.cue
echo TRACK 03 MODE1/2352 >> hdsession.cue
echo PREGAP 10:00:00 >> hdsession.cue
echo INDEX 01 00:00:00 >> hdsession.cue
goto done
:moartracks
echo  generating cuesheet for a gd-rom
echo  consisting of %trackcount% tracks total
echo FILE "track03.bin" BINARY > hdsession.cue
echo TRACK 03 MODE1/2352 >> hdsession.cue
echo PREGAP 10:00:00 >> hdsession.cue
echo INDEX 01 00:00:00 >> hdsession.cue
echo POSTGAP 00:02:00 >> hdsession.cue
set loop=4
:loop
echo. >> hdsession.cue
if %loop% gtr 9 (echo FILE "track%loop%.raw" BINARY >> hdsession.cue) else (echo FILE "track0%loop%.raw" BINARY >> hdsession.cue)
if %loop% gtr 9 (echo TRACK %loop% AUDIO >> hdsession.cue) else (echo TRACK 0%loop% AUDIO >> hdsession.cue)
echo INDEX 01 00:00:00 >> hdsession.cue
set /a loop=%loop%+1
if %loop% equ %trackcount% (goto escapeloop) else (goto loop)
:escapeloop
echo POSTGAP 00:02:00 >> hdsession.cue
echo. >> hdsession.cue
if %loop% gtr 9 (echo FILE "track%loop%.bin" BINARY >> hdsession.cue) else (echo FILE "track0%loop%.bin" BINARY >> hdsession.cue)
if %loop% gtr 9 (echo TRACK %loop% MODE1/2352 >> hdsession.cue) else (echo TRACK 0%loop% MODE1/2352 >> hdsession.cue)
echo INDEX 01 00:00:00 >> hdsession.cue
:done
echo all done!
:exit